{
  "name": "react-tooltip-lite",
  "version": "1.12.1",
  "description": "React tooltip, focused on simplicity and performance",
  "license": "MIT",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "scripts": {
    "bundle": "node node_modules/webpack/bin/webpack.js --progress --color --config webpack.dist.config.js",
    "dev": "webpack-dev-server --progress --color",
    "transpile": "babel src --out-dir dist --ignore ./src/**/*.test.jsx && cp src/index.d.ts dist/index.d.ts",
    "build": "rm -rf dist && mkdir dist && npm run transpile && npm run bundle",
    "prepublish": "npm run build",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build"
  },
  "files": [
    "dist",
    "example"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/reech-oss/javascript/libs/react-tooltip-lite.git"
  },
  "keywords": [
    "React"
  ],
  "author": "Ben Sidelinger",
  "contributors": [
    "Reech OSS"
  ],
  "bugs": {
    "url": "https://gitlab.com/reech-oss/javascript/libs/react-tooltip-lite/-/issues"
  },
  "homepage": "https://gitlab.com/reech-oss/javascript/libs/react-tooltip-lite",
  "dependencies": {
    "prop-types": "^15.8.1"
  },
  "peerDependencies": {
    "react": "^16.0.0 || ^17.0.0 || ^18.0.0",
    "react-dom": "^16.0.0 || ^17.0.0 || ^18.0.0"
  },
  "devDependencies": {
    "@babel/cli": "^7.21.0",
    "@babel/core": "^7.21.4",
    "@babel/eslint-parser": "^7.21.3",
    "@babel/plugin-proposal-class-properties": "^7.18.6",
    "@babel/preset-env": "^7.21.4",
    "@babel/preset-react": "^7.18.6",
    "@storybook/addon-controls": "^7.0.4",
    "@storybook/addon-links": "^7.0.4",
    "@storybook/addon-viewport": "^7.0.4",
    "@storybook/addons": "^7.0.4",
    "@storybook/react": "^7.0.4",
    "@storybook/react-webpack5": "^7.0.4",
    "babel-loader": "^9.1.2",
    "css-loader": "^6.7.3",
    "eslint": "^8.38.0",
    "eslint-config-airbnb": "^19.0.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-jsx-a11y": "^6.7.1",
    "eslint-plugin-prefer-object-spread": "^1.2.1",
    "eslint-plugin-react": "^7.32.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "prettier": "2.8.7",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "storybook": "^7.0.4",
    "style-loader": "^3.3.2",
    "typescript": "^5.0.4",
    "webpack": "^5.79.0",
    "webpack-cli": "^5.0.1",
    "webpack-dev-server": "^4.13.2"
  }
}
